/* start dark theme */
body.dark {
  background-color: black;
  color: #fff;
  transition: 0.5s ease;
}
body.dark .container .card-container .card {
  background-color: rgb(37, 37, 37);
  color: #fff;
}
body.dark .search-wrapper input,
body.dark .search-wrapper select {
  color: #fff;
}
body.dark .search-wrapper select option {
  background-color: black;
}
body.dark .filter-container select {
  color: #fff;
}
body.dark .filter-container select option {
  background-color: black;
}
/* end dark theme */
body {
  background-color: #eee;
  font-family: "Ubuntu", "Helvetica", "Arial", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  transition: 0.5s ease;
}
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.theme-switch-wrapper {
  margin-top: 1rem;
}
.react-toggle-track-x,
.react-toggle-track-check {
  line-height: 0.6 !important;
}
.header {
  text-align: center;
}

.header h1 {
  font-size: 3.5rem;
  margin-top: 0.7rem;
  margin-bottom: 0.5rem;
}
.header ul {
  padding: 0;
  list-style: none;
  display: flex;
}
.header ul li {
  flex: 1;
  padding: 7px 17px;
  border: 1px dotted #ffbf1a;
  cursor: pointer;
}

.header ul li a {
  text-decoration: none;
  color: inherit;
}

.header ul li:not(:last-child) {
  margin-right: 3px;
}
.header ul li.active {
  background-color: #ffbf1a;
  color: black;
}

.header h1 span {
  color: #ffbf1a;
}

.container .card-container {
  width: 80%;
  display: flex;
  flex-wrap: wrap;
  padding: 1rem;
  justify-content: flex-start space-between;
}

.container .card-container .card {
  background-color: rgb(216, 214, 214);
  margin-bottom: 1rem;
  flex: 24%;
  margin-right: 1%;
  padding: 0.5rem 1rem;
  border-radius: 0.6rem;
  display: flex;
  flex-direction: column;
  max-height: 9rem;
  overflow: hidden;
}
.container .card-container .card h3 {
  margin-bottom: 0.5rem;
  font-size: 1.7rem;
  text-transform: uppercase;
}
.container .card-container .card p {
  font-size: 1.4rem;
}
.container .card-container .card .image-container {
  display: flex;
  justify-content: flex-end;
}
.container .card-container .card img {
  width: 9rem;
  transform: translate(1.7rem, -3rem);
}

.container .map-container {
  margin-top: 1rem;
  width: 80%;
  height: 400px;
  overflow: hidden;
}

.leaflet-container {
  width: 100wh;
  height: 100vh;
}

.filter-container {
  display: flex;
  width: 60%;
  color: black;
}
.filter-container select {
  padding: 0.5rem;
  background-color: transparent;
}
.filter-container select:first-child {
  flex: 2;
  margin-right: 1rem;
}
.filter-container select:last-child {
  flex: 1.5;
}
.table-container {
  width: 80%;
  overflow: auto;
}
.table-container table {
  width: 100%;
}
table thead th {
  text-transform: uppercase;
}
table thead th,
table tbody tr td {
  padding: 0.5rem;
  text-align: left;
}
table tbody tr td img {
  width: 3rem;
}

.search-wrapper {
  display: flex;
  width: 80%;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 0.5rem;
  margin-top: 1rem;
}
.search-wrapper input {
  flex: 1;
}
.search-wrapper div {
  flex: 1;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.search-wrapper input,
.search-wrapper select {
  padding: 0.4rem;
  background-color: transparent;
  border: 1px solid gray;
  outline: none;
}
.search-wrapper .pagination {
  flex: 1;
  text-align: center;
  color: black;
}
.search-wrapper .pagination span {
  padding: 0.7rem;
  background-color: #ffbf1a;
  border-radius: 5px;
  cursor: pointer;
}
.search-wrapper .pagination span:first-child {
  margin-right: 1rem;
}
.loading-container {
  position: relative;
}
.loading-container img {
  width: 4rem;
  margin-top: 2rem;
}
.rotate {
  animation: rotate 2s ease infinite;
}
@keyframes rotate {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(359deg);
  }
}
.cases {
  background-color: #ffbf1a;
  color: black;
}
.deaths {
  background-color: #f25076;
  color: black;
}
.recoverd {
  background-color: #40c0b7;
  color: black;
}
.normal {
  background-color: #418fde;
  color: black;
}
@media (max-width: 767px) {
  .header ul {
    flex-direction: column;
  }
  .header ul li {
    margin-bottom: 0.5rem;
    max-width: 219.297px;
  }
  .container .card-container {
    width: 100%;
  }
  .container .card-container .card {
    flex: 100% !important;
  }
  .container .card-container .card img {
    width: 9rem;
  }
  .filter-container {
    flex-direction: column;
    width: 70%;
  }
  .filter-container select:first-child {
    margin-right: 0;
    flex: 70%;
    margin-bottom: 0.5rem;
  }
  .search-wrapper {
    width: 79%;
    align-items: flex-start;
    flex-direction: column;
  }
  .search-wrapper input {
    margin-bottom: 1rem;
    width: 96%;
  }
  .search-wrapper .pagination {
    margin: 0.5rem 0 1.5rem 0;
    width: 100%;
  }
  .search-wrapper div {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }

  .search-wrapper div span {
    flex: 1;
  }
  .search-wrapper div select {
    flex: 5;
  }
}

@media (min-width: 768px) and (max-width: 1085px) {
  .container .card-container {
    width: 97%;
  }
  .container .card-container .card {
    flex: 33.3333%;
  }
}
